Bug 125598 - No lynx SRPM in ftp://ftp.redhat.com/pub/redhat/linux/enterprise/3/en/os/i386/SRPMS/
No lynx SRPM in ftp://ftp.redhat.com/pub/redhat/linux/enterprise/3/en/os/i386...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: distribution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-06-09 04:31 EDT by Karl Vogel
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-12 12:20:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for .spec file (615 bytes, patch)
2004-06-09 04:32 EDT, Karl Vogel
no flags Details | Diff

  None (edit)
Description Karl Vogel 2004-06-09 04:31:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
The sa-exim patch used in the exim package depends on lynx. This works
fine for FC, but by using elinks instead of lynx, the rpm will be
buildable on RHEL3 also.

--- exim.spec.orig	2004-06-09 10:27:07.000000000 +0200
+++ exim.spec	2004-06-09 10:20:59.000000000 +0200
@@ -33,7 +33,7 @@
 Requires: /etc/aliases
 BuildRequires: db4-devel openssl-devel openldap-devel XFree86-devel
-BuildRequires: lynx
+BuildRequires: elinks
 Exim is a mail transport agent (MTA) developed at the University of
@@ -113,7 +113,7 @@
 # build sa-exim
 cd sa-exim*
-perl -pi -e 's|\@lynx|HOME=/ /usr/bin/lynx|g;' Makefile
+perl -pi -e 's|\@lynx -dump -nolist|HOME=/ /usr/bin/elinks -dump|g;'
 make SACONF=%{_sysconfdir}/exim/sa-exim.conf CFLAGS="$RPM_OPT_FLAGS

Version-Release number of selected component (if applicable):
Comment 1 Karl Vogel 2004-06-09 04:32:30 EDT
Created attachment 100987 [details]
Patch for .spec file
Comment 2 Thomas Woerner 2004-07-02 09:47:46 EDT
lynx is also available for RHEL3.
Comment 3 Karl Vogel 2004-07-02 10:01:53 EDT
Strange.. as there is no lynx to be found in
Comment 4 Thomas Woerner 2004-07-02 10:22:41 EDT
Assigning bug to RHEL3 distribution.
Comment 7 Mike McLean 2005-04-11 14:27:17 EDT
The ftp directory in question only contains packages that shipped in the initial
release of Red Hat Enterprise Linux 3.  The lynx package was added in Update 2.

You get the SRPM from Red Hat Network. Just go to
and follow the "Download SRPM" link at the bottom.

Note You need to log in before you can comment on or make changes to this bug.